---
include:
  - project: "library585605/gitlab_includes/molecule_test"
    file: "gitlab_molecule_test_roles.yml"
    ref: "main"
stages:
  - ansible-lint
  - molecule_test

ansible-lint:
  image: registry.gitlab.com/library585605/docker_images/lint-ansible-yaml:latest
  variables:
    ANSIBLE_FORCE_COLOR: "true"
  stage: ansible-lint
  before_script:
    - ansible-lint --version
  script:
    - yamllint ./
    - ansible-lint ./


testing_molecule:
  extends: .molecule_testing
  script:
    - molecule test
